Index: /extensions/gally/gally-default/language/sv_SE/index.php
===================================================================
--- /extensions/gally/gally-default/language/sv_SE/index.php	(revision 11501)
+++ /extensions/gally/gally-default/language/sv_SE/index.php	(revision 11501)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gally/gally-default/language/sv_SE/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/sv_SE/theme.lang.php	(revision 11501)
+++ /extensions/gally/gally-default/language/sv_SE/theme.lang.php	(revision 11501)
@@ -0,0 +1,70 @@
+<?php
+$lang['gally_action_ok'] = 'Åtgärden lyckades';
+$lang['gally_action_ko'] =  'Åtgärden misslyckades';
+
+
+$lang['gally_save_local_conf'] = 'Spara inställningar';
+
+$lang['gally_img_high_res'] = 'Bild/Hög upplösning';
+$lang['gally_img_interface'] = 'Bild/Gränssnitt';
+$lang['gally_img_other'] = 'Bild/Övrigt';
+
+$lang['gally_img_high_res_desc'] = 'Den här sidan låter dig definiera egenskaperna på användargränssnittet när du titta på en högupplöst bild';
+$lang['gally_img_interface_desc'] = 'Den här sidan låter dig definiera egenskaperna på användargränssnittet när du titta på en högupplöst bild';
+
+$lang['gally_img_other_desc'] = 'Den här sidan låter dig definiera olika egenskaper på användargränssnittet när du titta på en högupplöst bild';
+
+
+$lang['gally_default_zoom_size'] = 'Standard förstoringsgrad';
+$lang['gally_default_zoom_size_desc'] = 'Det här värdet visar vilken bildskärm som är standard när en högupplöst bild laddas';
+
+$lang['gally_defaultZoomSize_full'] = 'Verklig storlek (Om bilden inte får plats på bildskärmen, så är det möjligt att scrolla horisontellt och vertikalt)';
+$lang['gally_defaultZoomSize_fit'] = 'Bilden storleksanpassas för att få plats på bildskärmen';
+$lang['gally_display_high_res_icon'] = 'Ikon i verktygsfältet';
+
+$lang['gally_display_high_res_icon_desc'] = 'Om bilden har en version i högre upplösning, visa en ikon i verktygsfältet';
+
+$lang['gally_displayHighResIcon_yes'] = 'Visa ikon';
+$lang['gally_displayHighResIcon_no'] = 'Visa inte ikonen';
+
+$lang['gally_display_high_res_click_mode'] = 'Åtgärder associerade med högupplösta bilder';
+$lang['gally_display_high_res_click_mode_desc'] = 'Detta  val definierar hur gränssnittet beter sig när du klickar på en högupplöst bild';
+
+$lang['gally_highResClickMode_zoom'] = 'Ändra typen av förstoringsgrad (Verklig storlek / anpassad storlek)';
+$lang['gally_highResClickMode_close'] = 'Sluta visa bilden i högupplösning';
+
+$lang['gally_interface_on_image'] = 'Visa mus-över betende';
+$lang['gally_interface_on_image_desc'] = 'Det här valet definierar om gränssnittet skall visas vid mus-över';
+$lang['gally_interface_on_image_always'] = 'Alltid';
+$lang['gally_interface_on_image_noscroll'] = 'Bara om bilden inte är widescreen';
+$lang['gally_interface_on_image_never'] = 'Aldrig';
+
+
+// missing translations
+$lang['gally_image_interface_hidden'] = 'Display on loading page';
+$lang['gally_image_interface_hidden_desc'] = 'This option sets whether the interface should already be displayed when the page loads';
+$lang['gally_image_interface_hidden_no'] = 'The interface is visible at page load';
+$lang['gally_image_interface_hidden_yes'] = 'The interface is not visible on page load, it will be on the first trigger event';
+$lang['gally_interface_timer_delay'] = 'Timeout';
+$lang['gally_interface_timer_delay_desc'] = 'This option defines the idle time required before the interface is hidden';
+$lang['gally_meta_num_cols'] = 'Viewing metadata';
+$lang['gally_meta_num_cols_desc'] = 'This option sets the number of columns to use for displaying metadata';
+$lang['gally_columns'] = 'Number of columns';
+$lang['gally_display_banner'] = 'Display banner';
+$lang['gally_display_banner_desc'] = 'This option controls whether the banner of the site must be displayed when an image is viewed';
+$lang['gally_display_banner_yes'] = 'Show banner';
+$lang['gally_display_banner_no'] = 'Don\'t display banner';
+$lang['gally_image_auto_scroll'] = 'Management for panoramic images';
+$lang['gally_image_auto_scroll_desc'] = 'This option defines how to handle the display of wide images';
+$lang['gally_image_auto_scroll_yes'] = 'Automatic scrolling of the picture under the cursor';
+$lang['gally_image_auto_scroll_no'] = 'Manual scrolling of the picture';
+$lang['gally_image_auto_scroll_warning'] = 'This function is automatically disabled with MS Internet Explorer version of which is prior to 8';
+$lang['gally_image_simulate_high_res'] = 'Simulate the presence of a high resolution image for panoramic images';
+$lang['gally_image_interface_can_switch'] = 'Interface visibility mode';
+$lang['gally_image_interface_can_switch_desc'] = 'This option determines whether the interface is displayed continuously or if it can be hidden';
+$lang['gally_image_interface_can_switch_yes'] = 'The interface is visible only under the defined rules';
+$lang['gally_image_interface_can_switch_no'] = 'The interface is always visible';
+$lang['gally_display_banner_alternate'] = 'Display an alternative banner';
+$lang['gally_alternate_banner_content'] = 'Alternative banner content:';
+
+?>