Index: extensions/Download_Multi/language/de_DE/plugin.lang.php
===================================================================
--- extensions/Download_Multi/language/de_DE/plugin.lang.php	(revision 8821)
+++ extensions/Download_Multi/language/de_DE/plugin.lang.php	(revision 11502)
@@ -25,69 +25,63 @@
 // +-----------------------------------------------------------------------+
 
-$lang['dl_select_all'] = 'Alles auswählen';
-$lang['dl_start'] = 'Ihren Wagen herunterladen';
-$lang['dl_preview'] = 'Ihren Wagen ansehen';
-$lang['dl_uncheck'] = 'Auswahl aufheben';
-$lang['dl_select'] = 'Zum Wagen hinzufügen';
-$lang['dl_title'] = 'Die Bilder herunterladen';
-$lang['dl_thumbnail'] = 'Die Thumbnails herunterladen';
-$lang['dl_normal'] = 'Die Normalen Bilder herunterladen';
-$lang['dl_high'] = 'Die hochauflösende Bilder herunterladen';
-$lang['dl_legend_select'] = 'Die Bilder auswählen';
-$lang['dl_message_cart'] = 'Sie haben %s Bilder';
-$lang['dl_trash'] = 'Ihren Wagen leeren';
-$lang['dl_archive'] = 'Den Archiv ansehen';
-$lang['dl_choice_image'] = 'Sie müssen mindestens ein Bild auswählen.';
-$lang['dl_dir_zip'] = 'Es ist nicht möglich das Verzeichnis zu erstellen';
+$lang['dl_select_all'] = 'Wähle alle aus';
+$lang['dl_start'] = 'Lade die Sammlung herunter';
+$lang['dl_preview'] = 'Schau dir deine Sammlung an';
+$lang['dl_uncheck'] = 'Alle abwählen';
+$lang['dl_select'] = 'Zur Sammlung hinzufügen';
+$lang['dl_title'] = 'Lade die Fotos herunter';
+$lang['dl_thumbnail'] = 'Lade die Vorschaubilder herunter';
+$lang['dl_normal'] = 'Lade die normalen Fotos herunter';
+$lang['dl_high'] = 'Lade die Fotos in hoher Auflösung herunter';
+$lang['dl_legend_select'] = 'Wähle die Fotos aus';
+$lang['dl_message_cart'] = 'Du hast %s Fotos';
+$lang['dl_trash'] = 'Verwerfe die Sammlung';
+$lang['dl_archive'] = 'Sehe die Archive an';
+$lang['dl_choice_image'] = 'Du must mindestens ein Bild auswählen.';
+$lang['dl_dir_zip'] = 'Es ist nicht möglich einen Ordner zu erstellen';
 $lang['dl_title_erreur'] = 'Fehler';
-$lang['dl_title_telechargement'] = 'Liste der Dateien';
-$lang['dl_empty_cart'] = 'Leerer Wagen';
-$lang['dl_bt_select'] = 'Auswählen';
-$lang['dl_bt_unselect'] = 'Auswahl aufheben';
-$lang['dl_bt_delete'] = 'Entfernen';
+$lang['dl_title_telechargement'] = 'Dateiliste';
+$lang['dl_empty_cart'] = 'keine Fotos gesammelt';
+$lang['dl_bt_select'] = 'alle auswählen';
+$lang['dl_bt_unselect'] = 'alle abwählen';
+$lang['dl_bt_delete'] = 'Markierte löschen';
 $lang['dl_th_file'] = 'Dateien';
-$lang['dl_th_date'] = 'Datum erstellen';
-$lang['dl_th_action'] = 'Aktion';
+$lang['dl_th_date'] = 'Erstellungsdatum';
+$lang['dl_th_action'] = 'Auswahl';
 $lang['dl_no_file'] = 'Keine Dateien';
-$lang['dl_prefix_file'] = 'Präfix der Datei';
-$lang['dl_prefix_button'] = 'Senden';
-$lang['dl_type_thumbnail'] = 'Thumbnail';
+$lang['dl_prefix_file'] = 'Präfix der Zipdatei';
+$lang['dl_prefix_button'] = 'Übernehmen';
+$lang['dl_type_thumbnail'] = 'Vorschaubild';
 $lang['dl_type_normal'] = 'Normal';
-$lang['dl_type_high'] = 'Hohe Auflösung';
-$lang['dl_cart'] = 'Wagen';
-$lang['dl_no_download_title'] = 'Die folgende Bilder können nicht in hoher Auflösung heruntergeladen werden';
-$lang['dl_no_download_high'] = ' ist nicht in hoher Auflösung verfügbar;';
-$lang['dl_no_download_http'] = ' steht nicht zum Download zur Verfügung;';
-$lang['dl_no_file'] = 'Keine Dateien zum herunterladen';
+$lang['dl_type_high'] = 'Hochauflösend';
+$lang['dl_cart'] = 'Sammlung';
+$lang['dl_no_download_title'] = 'Die folgenden Bilder können nicht in hoher Auflösung heruntergeladen werden';
+$lang['dl_no_download_high'] = ' stehen nicht in hoher Auflösung zur Verfügung;';
+$lang['dl_no_download_http'] = ' nicht zum Download zur Verfügung;';
+$lang['dl_no_file'] = 'Keine Dateien zum Download.';
 
 /* ----------- Administration ------------ */
 $lang['dl_title'] = 'Download Multi';
-$lang['dl_title_config'] = 'Download Multi Konfiguration';
-$lang['dl_zip_active_comment'] = 'Aktiviert die Kommentare im ZIP Datei. <br /><i>Funktioniert nicht auf free.fr.</i>';
-$lang['dl_zip_comment'] = 'Angezeigter Kommentar in der ZIP Datei.';
-$lang['dl_group_id'] = 'Gruppe mit der Erlaubnis Bilder herunterzuladen. Mit der Taste <i>ctrl</i> kann man mehrere auswählen.';
-$lang['dl_max_size'] = 'Maximale Größe des Archives(in Byte)';
-$lang['dl_zip_prefix'] = 'Standard Präfix für den Namen der heruntergeladenen ZIP Datei';
-$lang['dl_zip_prefix_car'] = 'Das Präfix Feld <i> Standard Name für die heruntergeladene ZIP Datei</ i> darf nur Nummern und Buchstaben ohne Akzente enthalten.';
-$lang['dl_zip_dir_prefix'] = 'Der Präfix des Verzeichnisses, welcher während der Dekompression verwendet wird.';
-$lang['dl_zip_dir_prefix_car'] = 'Der<i> Präfix Verzeichnis, welcher während der Dekompression verwendet wird.</ i> darf nur Nummern und Buchstaben ohne Akzente enthalten.';
-$lang['dl_backup_config'] = 'Konfiguration von Download Multi wurde gespeichert';
-$lang['dl_converter'] = 'Konverter';
-$lang['dl_zip_pattern_name'] = 'Generieren Sie den Namen Ihrer Datensätze, verwenden Sie [Datum], um das Datum in der Form JJJJMMTT und [Rand] um eine Zufallszahl zu generieren';
-$lang['dl_select_dl'] = 'Standard Downloadtyp';
+$lang['dl_title_config'] = 'Download Multi Einstellungen';
+$lang['dl_zip_active_comment'] = 'Aktiviert Kommentare in der Zip-Datei<br /><i>Gilt nicht für free.fr</i>';
+$lang['dl_zip_comment'] = 'Kommentar in der Zip-Datei';
+$lang['dl_group_id'] = 'Folgender(n) Gruppe(n) den Download erlauben. Die Taste <i>ctrl</i> benutzen um mehrere auszuwählen.';
+$lang['dl_max_size'] = 'Maximale Größe des Archives in Bytes';
+$lang['dl_zip_prefix'] = 'Standardpräfix für den Name der Zipdatei';
+$lang['dl_zip_prefix_car'] = 'Das Feld <i>Standardpräfix für den Name der Zipdatei</i> darf nur Zahlen oder Buchstaben ohne Akzente enthalten.';
+$lang['dl_zip_dir_prefix'] = 'Entpackordner';
+$lang['dl_zip_dir_prefix_car'] = 'Das Feld <i>Entpackordner</i> darf nur Zahlen oder Buchstaben ohne Akzente enthalten.';
+$lang['dl_backup_config'] = 'Download Multi, ihre Konfiguration wurde gespeichert';
+$lang['dl_converter'] = 'Umrechner';
+$lang['dl_zip_pattern_name'] = 'Generierung des Namens der Zipdatei, [date] erzeugt das aktuelle Datum in Form von YYYYMMDD und [rand] generiert eine Zufallszahl.';
+$lang['dl_select_dl'] = 'Standard für Download';
 
-$lang['dl_error_group_id'] = 'Sie müssen die autorisierte Gruppe auswählen.';
-$lang['dl_error_file_size'] = 'Sie müssen die Größe des Archives angeben';
-$lang['dl_error_file_size_car'] = 'Die Maximale Größe des Feldes <i> Archive in Byte </ i> darf nur Nummern enthalten.';
-$lang['dl_zip_pattern_name_car'] = 'Das Feld <i>Generiert den Namen Ihres Archives</ i> darf nur Nummern und Buchstaben ohne Akzente enthalten.';
-$lang['dl_error_pattern_name'] = 'Das Feld  <i>Generiert den Namen Ihres Archives</ i> darf nicht leer sein.';
+$lang['dl_error_group_id'] = 'Sie müssen einer Gruppe den Download erlauben ';
+$lang['dl_error_file_size'] = 'Geben Sie die Größe des Archives an';
+$lang['dl_error_file_size_car'] = 'Das Feld <i>Maximale Größe des Archives in Bytes</i> darf nur Zahlen enthalten.';
+$lang['dl_zip_pattern_name_car'] = 'Das Feld <i>Generierung des Namens der Zipdatei</i>  darf nur Zahlen oder Buchstaben ohne Akzente enthalten.';
+$lang['dl_error_pattern_name'] = 'Das Feld <i>Generierung des Namens der Zipdatei</i> darf nicht leer sein';
 
-$lang['dl_title_information'] = 'Informationen über Ihre Konfiguration';
-$lang['dl_class_zip'] = 'Sie benutzen : ';
-
-/* ----------- Installation -------------- */
-$lang['dl_mysql_version'] = 'Version de mysql incompatible. Vous devez avoir au minimum la version 4.1';
-$lang['dl_php_version'] = 'Version de php inférieur à 5, installation impossible';
-$lang['dl_install_ok'] = 'Installation ok';
-$lang['dl_class_exist'] = 'Pour fonctionner correctement votre serveur doit utiliser la class php ZipArchive, contacter votre administrateur pour qu\'il l\'active';
+$lang['dl_title_information'] = 'Informationen über ihre Serverkonfiguration';
+$lang['dl_class_zip'] = 'Sie verwenden: ';
 ?>