Index: /extensions/ConcoursPhoto/language/lv_LV/description.txt
===================================================================
--- /extensions/ConcoursPhoto/language/lv_LV/description.txt	(revision 11507)
+++ /extensions/ConcoursPhoto/language/lv_LV/description.txt	(revision 11507)
@@ -0,0 +1,1 @@
+Izveidot fotokonkursu ar īpašiem kritērijiem Piwigo galerijai
Index: /extensions/ConcoursPhoto/language/lv_LV/index.php
===================================================================
--- /extensions/ConcoursPhoto/language/lv_LV/index.php	(revision 11507)
+++ /extensions/ConcoursPhoto/language/lv_LV/index.php	(revision 11507)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ConcoursPhoto/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/ConcoursPhoto/language/lv_LV/plugin.lang.php	(revision 11507)
+++ /extensions/ConcoursPhoto/language/lv_LV/plugin.lang.php	(revision 11507)
@@ -0,0 +1,108 @@
+<?php
+/*
+ * Plugin Name: ConcoursPhoto
+ * File :  plugin.lang.php
+* Lang : LV 
+ */
+
+
+$lang['concours_save'] = 'Saglabāt';
+$lang['concours_RAZ'] = 'Atiestatīt';
+$lang['concours_admin_edit'] = 'Rediģēt';
+$lang['concours_result'] = 'Konkursa rezultāti';
+$lang['concours_add'] = 'Pievienot konkursu';
+$lang['concours_id'] = 'Id';
+$lang['concours_id2'] = 'Id.';
+$lang['concours_name'] = 'Nosaukums';
+$lang['concours_descr'] = 'Apraksts';
+$lang['concours_activation_date'] = 'Konkursa Periods';
+$lang['concours_nb_jours'] = 'Laikā';
+$lang['jours'] = 'Dienas';
+$lang['concours_category_select'] = 'Izvēlētā kategorija';
+$lang['concours_authorized_group'] = 'Autorizētas Grupas';
+$lang['concours_begin_date'] = 'Sākuma Datums';
+$lang['concours_end_date'] = 'Beigu Datums';
+$lang['concours_criterias'] = 'Konkursa kritēriji';
+$lang['concours_min_value'] = 'Min.';
+$lang['concours_max_value'] = 'Max.';
+$lang['concours_coef'] = 'Koef.';
+$lang['criteria_edit'] = 'Rediģēt kritēriju';
+$lang['criteria_delete'] = 'Dzēst kritēriju';
+$lang['criteria_add'] = 'Pievienot kritēriju';
+$lang['subcriteria_add'] = 'Pievienot apakškritēriju';
+$lang['concours_actions'] = 'Darbības';
+$lang['concours_admin_title'] = '"Concours Photo" spraudņa administrēšana';
+$lang['default_criteria'] = 'Kritērija pēc noklusēšanas pārvaldīšana';
+$lang['concours_add_criteria'] = 'Pievienot apakškritēriju';
+$lang['concours_criteria_submit'] = 'Validēt kritēriju';
+$lang['manage_concours'] = 'Konkursa Pārvaldīšana';
+$lang['prepared_concours'] = 'Sagatavotais konkurs ir neaktīvs';
+$lang['active_concours'] = 'Aktīvs konkurss';
+$lang['closed_concours'] = 'Konkurss slēgts';
+$lang['concours_result'] = 'Ģenerēt rezultātus';
+$lang['concours_file'] = 'Lejupielādēt rezultātu failu';
+$lang['concours_create_date'] = 'Izveidot datumu';
+$lang['concours_management'] = 'Konkursa Pārvaldīšana';
+$lang['concours_edit'] = 'Rediģēt konkursu';
+$lang['concours_delete'] = 'Izdzēst konkursu';
+$lang['concours_add'] = 'Pievienot konkursu';
+$lang['concours_config'] = 'Kritērijs pēc noklusēšanas';
+$lang['concours_admin_add'] = $lang['concours_add'];
+$lang['concours_comment'] = 'Komentāri/Piezīmes par fotogrāfiju';
+$lang['concours_result_page'] = 'Konkursa Rezultāti';
+$lang['concours_img_author'] = 'Maska konkursam';
+$lang['concours_1st'] = '.';
+$lang['concours_2nd'] = '.';
+$lang['concours_3rd'] = '.';
+$lang['concours_4th'] = '.';
+$lang['concours_submit'] = 'Validēt';
+$lang['concours_params'] = 'Vispārējie parametri';
+$lang['concours_show_menubar'] = 'Rādīt izvēlni "Contest Result" (Konkursa Rezultāti)';
+$lang['concours_nb_concours_menubar'] = 'Attēlojamo rezultātu skaits';
+$lang['concours_result_files'] = 'Tiek ģenerēti Konkursa rezultātu faili';
+$lang['concours_result_file_list'] = 'Lejuplādējamo konkursa rezultātu failu saraksts (pat tad, ja konkurss ir ticis izdzēsts)';
+$lang['concours_no_result_file'] = 'Nav Rezultātu failu';
+
+$lang['concours_date_from'] = 'Sākuma datums';
+$lang['concours_date_end'] = 'Beigu datums';
+$lang['concours_hour_from'] = 'Sākuma stunda';
+$lang['concours_hour_to'] = 'Beigu stunda';
+
+$lang['concours_mask_author'] = 'Maskēt sagatavota neaktīva konkursa autoru';
+$lang['concours_mask_exif'] = 'Maskēt EXIF/IPTC sagatavota neaktīvas konkursa datus';
+
+$lang['thumbnail_global_note'] = 'Konkursa reitings';
+$lang['concours_thumb_note'] = 'Pievienot globālu piezīmi zem sīkbildēm';
+$lang['concours_global_user_note'] = 'Pavisam reģistrējušies';
+
+
+$lang['concours_activ_from'] = 'Konkurss ir aktīvs no ';
+$lang['concours_activ_to'] = ' Līdz ';
+$lang['concours_method'] = 'Vērtējuma aprēķina metode';
+$lang['concours_method1'] = 'Novērtēto Summa';
+$lang['concours_method2'] = 'Vidējie vērtējumi';
+
+$lang['concours_note'] = 'Globālais vērtējums';
+$lang['concours_moyenne'] = 'Vidējais';
+$lang['concours_nbvotant'] = 'Balsojušo skaits';
+$lang['concours_usernote'] = 'Jūsu vērtējums';
+$lang['concours_infos'] = 'Konkursa informācija';
+$lang['concours_audit'] = 'Pārbaude';
+$lang['concours_audit1'] = 'Pārbaudīt konkursu';
+$lang['concours_author'] = 'Autors';
+$lang['NO_concours'] = 'Nav konkursa';
+$lang['concours_username_selection'] = 'Izvēlēties lietotāju';
+$lang['all_users'] = '-- Visi --';
+$lang['concours_check_exaequo'] = 'Pārvaldīt exaequos';
+$lang['concours_author_vote'] = 'Atļaut foto autoram balsot (atslēgt pārbaudi, kas balstās uz lietotājvārds/autors)';
+$lang['concours_change_score'] = 'Atļaut lietotājam izmainīt savu vērtējumu pēc validācijas';
+$lang['concours_end_date_change_to'] = 'Beigu datums iznainīts uz %s';
+$lang['concours_saved'] = 'Konkurss %s-%s saglabāts';
+$lang['concoursphoto'] = 'Foto Konkurss';
+$lang['concours_saveOK'] = 'Parametri saglabāti';
+$lang['concours_help'] = 'Palīdzība';
+
+$lang['concours_allow_guest'] = 'Atļaut Viesim';
+$lang['concours_admin_help'] = 'Ceļvedis/Palīdzība ConcoursPhoto spraudņa lietošanā';
+$lang['concours_audit_page'] = 'Konkursa Audits (pārbaude)';
+?>