Index: /extensions/Back2Front/language/it_IT/description.txt
===================================================================
--- /extensions/Back2Front/language/it_IT/description.txt	(revision 11519)
+++ /extensions/Back2Front/language/it_IT/description.txt	(revision 11519)
@@ -0,0 +1,1 @@
+Aggiunge un link sotto la foto per visualizzare un'alternativa alla foto. Per esempio, si può mostrare l'atro lato di una cartolina.
Index: /extensions/Back2Front/language/it_IT/index.php
===================================================================
--- /extensions/Back2Front/language/it_IT/index.php	(revision 11519)
+++ /extensions/Back2Front/language/it_IT/index.php	(revision 11519)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Back2Front/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/Back2Front/language/it_IT/plugin.lang.php	(revision 11519)
+++ /extensions/Back2Front/language/it_IT/plugin.lang.php	(revision 11519)
@@ -0,0 +1,33 @@
+<?php
+
+$lang['See back'] = 'Vedere il retro';
+$lang['See front'] = 'Vedere il fronte';
+$lang['Modify backside information'] = 'Modificare le informazioni sul retro';
+
+$lang['Switch mode'] = 'Inervertire le foto al';
+$lang['Click'] = 'Clic';
+$lang['Mouseover'] = 'Sorvolo';
+$lang['Transition'] = 'Transizione';
+$lang['Fade'] = 'Fade';
+$lang['Link position'] = 'Pulzante posizione';
+$lang['Top'] = 'Alto';
+$lang['Bottom'] = 'Basso';
+$lang['Toolbar'] = 'Toolbar';
+$lang['Link name'] = 'Nome del pulzante';
+
+$lang['Seperate the two labels with the | symbol. Leave blank to use default translation.'] = 'Separare i due testi con il carattere |. Lasciare vuoto per usare la traduzione di default';
+
+$lang['This picture is a backside...'] = 'Questa foto è il retro...';
+$lang['...of the picture n°'] = '... della foto n°';
+$lang['Backside management'] = 'Gestione delle fronte-retro';
+$lang['Move backside to private album'] = 'Spostare il retro verso un\'album privato';
+$lang['This picture has a backside : '] = 'Questa foto a un retro : ';
+
+$lang['Backside and frontside can\'t be the same picture'] = 'Retro e fronte non possono essere la stessa foto';
+$lang['The picture n°%d has already a backside : %s'] = 'La foto n°%d ha già un retro';
+$lang['The picture n°%s is already a backside'] = 'La foto n°%s è già un retro';
+$lang['This picture is now the backside of the picture n°%s'] = 'Questa foto è ora il retro della foto n°%s';
+$lang['Unknown id %d for frontside picture'] = 'ID %d sconosciuto';
+$lang['This picture is no longer a backside'] = 'Quest foto non è più un retro';
+
+?>