Index: /extensions/ExtendedDescription/language/tr_TR/help.html
===================================================================
--- /extensions/ExtendedDescription/language/tr_TR/help.html	(revision 11531)
+++ /extensions/ExtendedDescription/language/tr_TR/help.html	(revision 11532)
@@ -1,108 +1,107 @@
-<h2>Extended Description</h2>
+<h2>Genişletilmiş Açıklama</h2>
 
-<h3>Multilanguage descriptions</h3>
+<h3>Çoklu Dil açıklamaları</h3>
 
-<p>Multilanguage descriptions are placed between [lang=xx] and [/lang] tags, where xx is the language code (for example en, es, fr). There is also 2 special languages : [lang=default] and [lang=all]</p>
+<p>Çoklu Dil açıklamaları [lang=xx] ve [/lang] etiketleri arasında, xx dil kodu olmakla beraber (örnekler en, es, fr). 2 özel dil vardır bunlar : [lang=default]  varsayılan ve [lang=all] hepsi</p>
 
 <ul>
-  <li><b>Example</b>:<br>
+  <li><b>Örnek</b>:<br>
   <br>
-<code>[lang=default] default description [/lang]<br>
-[lang=en] description in english [/lang]<br>
-[lang=de] deutsche Beschreibung [/lang]</code>
+<code>[lang=default] varsayılan açıklama [/lang]<br>
+[lang=en] ingilizce açıklama [/lang]<br>
+[lang=de] almanca açıklama [/lang]</code>
 </li>
 </ul>
 
-<p>The default description will be used if the description is not available in the connected user selected language.
-If [lang=default] does not exists, anything outside the [lang] tags will be considered as the default description.</p>
+<p>Bağlı olan kullanıcının seçtiği dildeki açıklama yoksa varsayılan açıklama kullanılır.
+Eğer [lang=default] yoksa, [lang] etiketi dışındaki açıklama varsayılan açıklama olarak kabul edilecektir.</p>
 
-<p><u>Special language <i>all</i></u>: anything inside [lang=all] will be included in the description, anywhat the connected user defined language is.
-This is mainly useful to include HTML/JavaScript code inside a description.</p>
+<p><u>Özel dil <i>all</i></u>: [lang=all] içinde olanlar açıklama olarak tüm bağlı olan kullanıcılar için geçerli açıklama olacaktır.
+Bu çoğunlukla HTML/JavaScript kodları içine açıklama eklemek için faydalıdır.</p>
 
-<h3>Extended descriptions</h3>
+<h3>Genişletilmiş açıklamalar</h3>
 
-<p>Extended description tags make it possible to have a short description for the album outside the album,
-a longer description for the album inside the album page,
-or even 2 distinct descriptions inside the album page.</p>
+<p>Genişletilmiş açıklama etiketleri sizlere albüm dışında albüm için açıklama,
+albüm sayfasında daha uzun bir açıklama ve albüm sayfasında 2 farklı açıklama olanakları sunar.</p>
 
-<p>tag &lt;!--more--&gt; adds text to the short description.<br>
-tag &lt;!--complete--&gt; let the user have 2 distinct descriptions.<br>
-tag &lt;!--up-down--&gt; let the user have a top and a bottom description.</p>
+<p>etiket &lt;!--more--&gt; kısa bir açıklama metni ekler.<br>
+etiket &lt;!--complete--&gt; 2 farklı açıklama metni ekler.<br>
+etiket &lt;!--up-down--&gt; üst ve altta olmak üzere açıklama metni ekler.</p>
 
 <ul>
-  <li><b>tag &lt;!--more--&gt;</b></li>
+  <li><b>etiket &lt;!--more--&gt;</b></li>
 </ul>
-<code>short description &lt;!--more--&gt; long description</code>
-<p>Only the short description is displayed outside the album. On the album page, you will see short description + long description.</p>
+<code>kısa açıklama &lt;!--more--&gt; uzun açıklama</code>
+<p>Albüm dışında sadece kısa açıklama gösterilir. Albüm sayfasında ise hem kıse hemde uzun açıklama gösterilir.</p>
 
 <ul>
-  <li><b>tag &lt;!--complete--&gt;</b></li>
+  <li><b>etiket &lt;!--complete--&gt;</b></li>
 </ul>
-<code>short description &lt;!--complete--&gt; long description</code>
-<p>Only the short description is displayed outside the album. On the album page, you will only see the long description, so you have 2 distinct descriptions.</p>
+<code>kısa açıklama &lt;!--complete--&gt; uzun açıklama</code>
+<p>Albüm dışında sadece kısa açıklama gösterilir. Albüm sayfasında ise sadece uzun açıklama gösterilir.</p>
 
 <ul>
-  <li><b>tag &lt;!--up-down--&gt;</b></li>
+  <li><b>etiket &lt;!--up-down--&gt;</b></li>
 </ul>
-<code>top description &lt;!--up-down--&gt; bottom description</code>
-<p>Only the top description is displayed outside the album.  On the album page, the top description is displayed above the thumbnails, the bottom description is displayed below the thumbnails.</p>
+<code>üst açıklama &lt;!--up-down--&gt; alt açıklama</code>
+<p>Albüm dışında sadece üst açıklama gösterilir.  Albüm sayfasında, üst açıklama küçük resimlerin üstünde, alt açıklama ise küçük resimlerin altında gösterilir.</p>
 
-<h3>Insert a album or a photo</h3>
+<h3>Bir albüm veya fotoğraf yerleştirme</h3>
 
 <ul>
-  <li><b>tag [cat=xx]</b></li>
+  <li><b>etiket [cat=xx]</b></li>
 </ul>
-<p>This tag inserts a album in the description, where xx is the album identifier.</p>
+<p>Bu etiket bir açıklamaya albüm ekler, xx albüm tanımlayıcısıdır.</p>
 
 <ul>
-  <li><b>tag [img=xx1 xx2 xxN;yyyy;name]</b></li>
+  <li><b>etiket [img=xx1 xx2 xxN;yyyy;name]</b></li>
 </ul>
-<p>This tag allows to insert one or more thumbnail in the description, with:<br><br>
-- xx the photo identifier; you can add the album identifier next to the photo identifier: <code>xx.ccc</code>.
+<p>Bu etiket açıklamaya bir veya bir kaç küçük resim eklemenizi sağlar:<br><br>
+- xx resim tanımlayıcısı; Albüm tanımlayıcısını resim tanımlayıcısı yanına ekleyebilirsiniz: <code>xx.ccc</code>.
 <br>
-- yyyy (optional) : can take any value among {left, right}.</p>
-- name (optional) : can take any value among {name, titleName}. If tagged, with <i>name</i> the name of the picture is diplayed under the thumbnail, with <i>titleName</i> the photo markup &lt;title&gt; is fill with the name.</p>
+- yyyy (isteğe bağlı) : {left, right} arasında herhangi bir değer alabilir.</p>
+- name (isteğe bağlı) : {name, titleName} arasında herhangi bir değer alabilir. Eğer  <i>name</i> küçük resim altında resim adı gösterilir, <i>titleName</i>  &lt;title&gt; resim biçimlendirme adı.</p>
 
 
-<h3>Hide a album</h3>
+<h3>Bir albüm gizle</h3>
 
-<p>Use tag <b>&lt;!--hidden--&gt;</b> in the album name:<br>
+<p>etiket <b>&lt;!--hidden--&gt;</b> albüm adında kullanırsanız:<br>
 <br>
-- it won't be displayed in the parent album<br>
-- it remains visible in the album menu</p>
+- ana albümde gösterilmeyecektir<br>
+- albüm menüsünde gösterilecektir</p>
 
-<h3>Hide a album in menu</h3>
+<h3>Bir albümü menüde gizle</h3>
 
-<p>Use tag <b>&lt;!--mb-hidden--&gt;</b> in the album name:<br>
+<p>etiket <b>&lt;!--mb-hidden--&gt;</b> albüm adında kullanırsanız:<br>
 <br>
-- it won't be displayed in the album menu<br>
-- it remains visible in the parent album</p>
+- albüm menüsünde gösterilmeyecektir<br>
+- ana albümde ise gösterilecektir</p>
 
-<h3>Hide a photo</h3>
+<h3>Bir resim gizle</h3>
 
-<p>Use tag <b>&lt;!--hidden--&gt;</b> in the photo name:<br>
+<p>etiket <b>&lt;!--hidden--&gt;</b> resim adında kullanırsanız:<br>
 <br>
-- it won't be displayed on the thumbnails page<br>
-- it remains visible inside the album</p>
+- küçük resimler sayfasında gösterilmeyecektir<br>
+- albüm sayfasında ise gösterilecektir</p>
 
-<h3>Redirected album</h3>
+<h3>Albüm Yönlendirme</h3>
 
 <ul>
   <li><b>[redirect http://piwigo.org]</b></li>
 </ul>
-<p>Insert this tag into a album description to redirect it to the URL of your choice.</p>
+<p>Bir albüm açıklamasına ekleyeceğiniz bu etiket ile belirtmiş olduğunuz URL adresine yönlendirilecektir.</p>
 
 <ul>
   <li><b>[redirect img=xx]</b></li>
 </ul>
-<p>Redirect to a photo of your gallery where xx is the photo identifier; you can add the album identifier next to the photo identifier: <code>xx.ccc</code>.</p>
+<p>Galerinizdeki xx tanımlayıcılı resime yönlendirir; albüm tanımlayıcısını resim tanımlayıcı yanına ekleyebilirsiniz: <code>xx.ccc</code>.</p>
 
 <ul>
   <li><b>[redirect cat=xx]</b></li>
 </ul>
-<p>Redirect to a album of your gallery where xx the album identifier.</p>
+<p>xx tanımlayıcısı ile bir albümü galerinizdeki başka bir albüme yönlendirme yapılır.</p>
 
 <ul>
   <li><b>[redirect search=xx]</b></li>
 </ul>
-<p>Redirect to a search page of your gallery where xx is the search identifier.</p>
+<p>xx tanımlayıcısı ile galerinizdeki bir arama sayfasına yönledirme yapılır.</p>